<!-- menu -->
	<div id="body">
	    <div id="menu">
	        <div class="logo_div">
	            <span class="action sidebar"></span>
	            <span class="action back"></span>
	            <span class="logo_text"></span>
	        </div>
	        <div class="user_div" RUD="in">
	            <a href="/profile/{_id}/posts">
                    <img class="profile" RUD="thumbnail" />
                    <span RUD="name"></span>
                </a>
                <button class="action noti" onclick="notificationViewController.init()"></button>
	        </div>
	        <div class="user_div out" RUD="out" >
                <a href="/user/signup">
                    <img class="profile" RUD="thumbnail" />
                    <span>کاربر میهمان </span>
                </a>
	        </div>
	        <a class="search_div">
	            <input type="text" placeholder="کاربران، پست ها و تگ ها را جستجو کنید" listenToKey="true" onkeyup="searchViewController.detect(event)" />
	            <button class="search" onclick="searchViewController.begin()"></button>
	        </a>
	    </div>
	</div>

<!-- sidebar -->
<template id="sidebar">
    <div class="profile">
        <img src="/upload/users/def.svg" RUD="thumbnail">
        <span class="name" RUD="name">کاربر میهمان</span>
    </div>
    <a RUD="in" href="/profile/{_id}/posts">مشاهده پروفایل</a>
    <a RUD="in" class="edit" href="/edit-profile">ویرایش پروفایل</a>
    <a RUD="in" class="signout" onclick="sign.logout()" >خروج از ناحیه کاربری</a>
    <a RUD="out" href="/user/signin">ورود به سایت</a>
    <a RUD="out" href="/user/signup">ثبت نام</a>
    <a href="/policies">قوانین سایت</a>
    <a href="/feedback">تماس با ما</a>
</template>

<!-- more feed message -->
<template id="no_feeds">
    <div class="main" item-extra="true">
        <img src="/static/images/follow_more.svg">
        <span class="msg">لطفا کاربران بیشتری را دنبال کنید!</span>
        <span class="btn">کاربران برتر</span>
    </div>
</template>
<!-- noti -->
<template id="notification">
    <div class="head">
        <span class="title">مرکز اعلانات</span>
    </div>
    <div class="list" item-div="true"></div>
</template>
<!-- suggestion -->
<template id="user_sugg">
    <div class="head">
        <span class="title">کاربران پیشنهادی</span>
    </div>
    <div class="list" item-div="true"></div>
</template>
<!-- main -->
<template id="main">
	<div>
	    <div id="filter">
	        <div item-filter="true">
	            <a type="feeds" href="/feeds">جوکی شما</a>
	            <a type="trending" href="/trending">رو بورس</a>
	            <a type="popular" href="/popular">بهترین ها</a>
	            <a more="true">بیشتر</a>
	            <a type="you" hidden="true" onclick="router.prepURL('/you')">پست های شما</a>
                <a type="new" hidden="true" onclick="router.prepURL('/new')">جدیدترین</a>
	            <a type="controversial" hidden="true" onclick="router.prepURL('/controversial')">پست های جنجالی</a>
	            <a type="top-users" hidden="true" onclick="router.prepURL('/top-users')">کاربران برتر</a>
	        </div>
            
	        <button class="add" onclick="addViewController.init()" RUD="in"></button>
	        <button class="setting" onclick="itemClass.drawLayoutMenu(this)"></button>
	        <button class="suggestion" onclick="profileViewController.suggestions()" RUD="in"></button>
	    </div>
	    <section>
	        <div class="item_div" item-div="true"></div>
	    </section>
        <button id="add_button" onclick="addViewController.init()" RUD="in"></button>
    </div>
</template>
<!-- edit -->
<template id="edit">
    <section class="overlay_section">
        <span header="normal">ویرایش پروفایل</span>
        <div class="image_div" image-error="true">
            <img class="js_user_img" RUD="thumbnail">
            <p>
                برای پروفایل خود تصویر جذابی انتخاب کنید.<br>
                JPEG, PNG, GIF - 500Kb
            </p>
            <button id="edit_send_thumbnail" onclick="$('#edit_user_thumbnail').click()" loading="true">انتخاب تصویر</button>
            <input style="display: none;" id="edit_user_thumbnail" name="file" type="file" onchange="editViewController.send_thumbnail()">
        </div>
        <div class="input_div">
            <div>
                <label class="input_title">نام نمایشی:</label>
                <input class="name" required="true" min="5" max="25" RUD="name" placeholder="نام نمایشی" type="text" />
            </div>
            <div>
                <label class="input_title">توضیح مختصر:</label>
                <textarea class="brief" required="true" min="0" max="100" RUD="brief" placeholder="هرچه میخواهد دل تنگت بگو..." ></textarea>
            </div>
        </div>
        <div class="button_div">
            <button onclick="editViewController.update_edit()" loading="true">ذخیره اطلاعات</button>
        </div>
    </section>
</template>
<!-- search -->
<template id="search">
    <div id="search">
        <div class="sort_div" item-filter="true">
            <a type="item" href="/search/item/">پست ها</a>
            <a type="user" href="/search/user/">کاربران</a>
        </div>
        <div class="item_div" item-div="true">
        </div>
    </div>
</template>
<!-- profile -->
<template id="profile">
    <div class="userpage_section">
        <div class="header_div">
            <div class="menu target">
                <button class="more" onclick="profileViewController.menu()"></button>
                <button class="follow text"></button>
            </div>
            <div class="menu owner">
                <button class="logout" onclick="sign.logout()">خروج</button>
                <button class="edit" onclick="editViewController.init()" >ویرایش پروفایل</button>
            </div>
            <div class="img_div">
                <img RUD="thumbnail">
            </div>
            <div class="info">
                <span class="name" RUD="name"></span>
                <span class="brief" RUD="brief"></span>
            </div>
            <div class="actions">
                <a type="posts" href="/profile/{_id}/posts">پست ها<span RUD="posts">0</span></a>
                <a type="following" href="/profile/{_id}/following">دنبال می کند<span RUD="following">0</span></a>
                <a type="followers" href="/profile/{_id}/followers">دنبال کنندگان<span RUD="followers">0</span></a>
            </div>
        </div>
        <div class="item_div" item-div="true">
        </div>
    </div>
</template>
<!-- add -->
<template id="add">
    <section class="overlay_section">
        <div class="header">
            <span class="title">ارسال پست</span>
            <span class="setting">تنضیمات</span>
        </div>
        <div class="main">
            <textarea class="body" validate="true" min="20" max="500" onchange="addViewController.onTextChangingListener(this)" placeholder="هرچه می خواهد دل تنگت بگو..."></textarea>
        </div>
        <div class="responses_div">
            <!-- <div class="response_div" id="link">
                <input class="add_link_adress" type="url" required="true" min="10" max="500" placeholder="لینک مورد نظر را وارد کنید" />
                <div class="result">
                    <textarea class="title" required="true" min="5" max="100" placeholder="تایتل لینک"></textarea>
                    <textarea class="desc" placeholder="توضیح لینک"></textarea>
                    <button class="cancel" onclick="addViewController.removeLink()"></button>
                </div>
                <button class="check" onclick="addViewController.processLink()">بررسی لینک</button>
            </div> -->
            <div class="response_div" id="image">
                <img style="display: none;" src="">
                <input class="image_file" name="file" type="file" style="display: none;" onchange="addViewController.sendImage()">
                <button class="image_button" onclick="$(this).parent().find('.image_file').click()"><span>انتخاب تصویر</span></button>
                <button class="remove_image" onclick="addViewController.removeImage()"></button>
            </div>
            <!-- <div class="response_div" id="video">
                <span>در حال حاضر تنها ویدیو های سایت آپارات قابل استفاده است</span>
                <input type="text" required="true" min="10" max="500" placeholder="لینک پیج حاوی ویدیو یا کد iframe ویدیو" />
                <button class="check" onclick="addViewController.checkVideo()">بررسی ویدیو</button>
                <div class="result">
                    <div class="iframe"></div>
                    <button class="cancel" onclick="addViewController.removeVideo()"></button>
                </div>
            </div> -->
        </div>
        <div class="footer">
            <button class="send" onclick="addViewController.send()">ارسال پست</button>
            <button class="cancel" onclick="$(this).parents('.overlay').click()">انصراف</button>
            <div class="attachment">
                <button class="post-setting" onclick="addViewController.drawSetting()" tooltip="تنظیمات پست"></button>
                <button class="text active" onclick="addViewController.changePostType('text')" tooltip="ارسال متن"></button>
                <button class="image" onclick="addViewController.changePostType('image')" tooltip="ارسال تصویر"></button>
                <!-- <button class="video" onclick="addViewController.changePostType('video')"></button> -->
                <!-- <button class="link" onclick="addViewController.changePostType('link')" tooltip="ارسال لینک"></button> -->
            </div>
        </div>
    </section>
</template>
<!-- signup -->
<template id="signup">
    <section class="sign_section overlay_section">
        <div class="header_div"><span></span></div>
        <div class="texter"></div>
        <div class="input_div" listenToKey="true">
            <div>
                <label class="input_title">ایمیل</label>
                <input class="email" required="true" min="5" max="50" bind="email" type="email">
            </div>
            <div>
                <label class="input_title">نام نمایشی - ترجیحا فارسی</label>
                <input class="name" required="true" min="5" max="20" bind="name" type="text">
            </div>
            <div>
                <label class="input_title">رمز عبور</label>
                <input class="password" required="true" min="5" max="50" bind="password" type="password">
            </div>
            <button class="sign_button js_enter_button js_apply_loading" id="sign_button" onclick="sign.signup()">ایجاد حساب کاربری</button>
        </div>
        <a class="switch" id="sign_switch" href="/user/signin">قبلا ثبت نام کرده اید؟ <span class="link">وارد شوید</span></a>
    </section>
</template>
<!-- signin -->
<template id="signin">
    <section class="sign_section signin_section overlay_section">
        <div class="box_view">
            <div class="header_div"><span></span></div>
            <div class="texter"></div>
            <div class="input_div" listenToKey="true">
                <input class="email" id="sign_email_input" name="ایمیل" type="email" placeholder="ایمیل خود را وارد کنید">
                <input class="password" id="sign_password_input" name="رمز عبور" type="password" placeholder="رمز عبور خود را وارد کنید">
                <button class="sign_button js_enter_button js_apply_loading" id="sign_button" onclick="sign.signin()">ورود به سایت</button>
                <a class="forgot" href="/user/forgot-password">فراموشی رمز عبور؟</a>
            </div>
            <a class="switch" id="sign_switch" href="/user/signup">حساب کاربری ندارید؟ <span class="link">ثبت نام کنید</span></a>
    </section>
</template>
<!-- forgot password -->
<template id="forgot-password">
    <section class="sign_section email_section overlay_section">
        <div class="box_view">
            <div class="header_div"><span></span></div>
            <div class="texter"></div>
            <div class="input_div">
                <div>
                    <label class="input_title">ایمیل</label>
                    <input class="email" required="true" min="5" max="50" bind="email" type="text">
                </div>
                <p>
                    ایمیلی که با آن ثبت نام کرده اید را وارد کنید تا لینک برای تغییر رمز عبور به ایمیلتان ارسال شود.
                </p>
                <button class="sign_button js_enter_button js_apply_loading" id="sign_button" onclick="sign.checkEmail()">ارسال لینک تغییر رمز عبور</button>
            </div>
    </section>
</template>
<!-- reset password -->
<template id="reset-password">
    <section class="sign_section" id="reset-password">
        <div class="header_div"><span></span></div>
        <div class="input_div">
            <div>
                <label class="input_title">ایمیل</label>
                <input class="email" required="true" min="5" max="50" type="text">
            </div>
            <div>
                <button class="sign_button" id="sign_button" onclick="sign.resetPassword()">ارسال لینک تغییر رمز عبور</button>
            </div>
    </section>
</template>
<!-- feedback -->
<template id="feedback">
    <section class="overlay_section" id="feedback">
        <div class="header_div">
            <span class="h1" header="fancy">ارتباط با ما</span>
        </div>
        <div class="input_div">
            <div>
                <label class="input_title">نام</label>
                <input class="name" RUD="name" required="true" min="5" max="25" type="text" placeholder="نام شما">
            </div>
            <div>
                <label class="input_title">ایمیل</label>
                <input class="email" RUD="email" required="true" min="5" max="100" type="email" placeholder="ایمیل شما">
            </div>
            <div>
                <label class="input_title">فیدبک</label>
                <textarea class="body" required="true" min="10" max="100" placeholder="نظر شما در مورد سایت..."></textarea>
            </div>
            <button onclick="feedback.send()">ارسال فیدبک</button>
        </div>
    </section>
</template>

<!-- item permanent link -->
<template id="permanent">
    <span>برای دسترسی به پست مورد نظر، از لینک زیر استفاده کنید</span>
    <input></input>
</template>

<!-- single item -->
<template id="single_item">
</template>

<!-- 404 -->
<template id="404">
    <div id="page404">
        <h2>404</h2>
        <h1>صفحه مورد نظر شما یافت نشد</h1>
        <a href="/">برگشت به صفحه اصلی</a>
    </div>
</template>

<!-- setting -->
<template id="setting">
	<div class="header">
	    <a to="profile" href="/user/setting/profile">ویرایش پروفایل</a>
	    <a to="joky" href="/user/setting/joky">تنظیمات جوکی</a>
	</div>
    <div state="profile">
        <span header="normal">ویرایش پروفایل</span>
        <div class="image_div" image-error="true">
            <img class="js_user_img" RUD="thumbnail">
            <p>
                برای پروفایل خود تصویر جذابی انتخاب کنید.<br>
                JPEG, PNG, GIF - 500Kb
            </p>
            <button id="edit_send_thumbnail" onclick="$('#edit_user_thumbnail').click()" loading="true">انتخاب تصویر</button>
            <input class="hidden" id="edit_user_thumbnail" name="file" type="file" onchange="editViewController.send_thumbnail()">
        </div>
        <div class="input_div">
            <div>
                <label class="input_title">نام نمایشی:</label>
                <input class="name" required="true" min="5" max="25" RUD="name" placeholder="نام نمایشی" type="text" />
            </div>
            <div>
                <label class="input_title">توضیح مختصر:</label>
                <textarea class="brief" required="true" min="0" max="100" RUD="brief" placeholder="هرچه میخواهد دل تنگت بگو..." ></textarea>
            </div>
        </div>
        <div class="button_div">
            <button onclick="editViewController.update_edit()" loading="true">ذخیره اطلاعات</button>
        </div>
    </div>
    <div state="joky">
        <button onclick="userSetting.change">دریفات پست های برتر جوکی</button>
        <button onclick="userSetting.change">دریفات پست های روی بورس جوکی</button>
        <div class="item_type">
        	<button onclick="userSetting.columnType(3)">چند ستونه</button>
        	<button onclick="userSetting.columnType(2)">دو ستونه</button>
        	<button onclick="userSetting.columnType(1)">تک ستونه</button>
        </div>
    </div>
</template>

<template id="policies">
	<h2>قوانین سایت</h2>
	<ul class="first">
		<li>
			درباره جوکی
		</li>
		<p>
		جوکی یک شبکه اجتماعی برای به اشتراک گذاری جوک ها، تصاویر و لینک های کاربران است
		</p>
		<p>
		محتویات این سایت، تنها توسط کاربران ایجاد شده و کاربران میبایست در حین انتشار مطالب به قوانین سایت توجه داشته باشند
		</p>
		<p>
		هرگونه مطلب مغایر با قوانین سایت حذف می شود و کاربران متخلف نیز حساب کاربریشان مسدود یا حذف خواهد شد
		</p>
		<li>
		قوانین سایت:
		</li>
			<ul class="second">
				<li>
				قوانین جرائم رایانه ای ( مصاديق محتوای مجرمانه )
				</li>
			<p>
			جوکی تابع جمهوری اسلامی و <a class="link" href="http://www.cyberpolice.ir/page/2431" target="_blank"> قوانین جرائم رایانه ای</a> بوده و هرگونه مطلب مغایر با قوانین مذکور حذف خواهد شد.
			</p>
			<li>
			ارسال تبلیغات در سایت
			</li>
			<p>
            ارسال پست یا نظرات با محتویات تبلیغاتی مغایر قوانین بوده و این محتویات بلافاصله حذف خواهد شد
			</p>
			<li>
			محتویات آزار دهنده برای دیگر کاربران
			</li>
			<p>
			محتویاتی که موجب نارضایتی یک یا چند کاربر سایت شوند، در صورت نیاز حذف شده و با کاربر متخلف برخورد میشود
			</p>
			<li>
			محتویات اسپم
			</li>
			<p>
			هر گونه مطلبی که شامل اطلاعات خصوصی اشخاص، از جمله ایمیل، شماره تلفن و ... باشد، تخلف محسوب شده و این محتویات حذف خواهند شد
			</p>
			<li>
			لینک برای جذب کاربران سایت
			</li>
			<p>
			لینک هایی که به فروم ها، گروه های چت و ... به هدف جذب کاربران باشد، تخلف محسوب شده و حذف می گردند
			</p>
			</ul>
		<li>
			نحوه اطلاع رسانی محتویات غیر مجاز
		</li>
		<p>
			کاربرانی که در هر جای سایت با محتویات مغایر قوانین بالا برخورد کرده، میتوانند از منوی مربوطه آن را گزارش دهند و یا از طریق فرم تماس با ما، آن را به ادمین سایت اطلاع دهند
		</p>
		<p>
			محتویات گزارش شده به طور روزانه بررسی شده و در صورت نیاز حذف میشود. کاربران متخلف نیز هشدار های لازم را دریافت کرده و در صورت تکرار حساب کاربریشان مسدود خواهد شد
		<p>

	</ul>
</template>


<!--loader-->
<template id="loader">
    <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
         width="60px" height="60px" viewBox="20 20 60 60" enable-background="new 20 20 60 60" xml:space="preserve">
    <path fill="none" stroke="#999999" stroke-width="1.5" stroke-miterlimit="10" d="
        M76.162,58.805c0.93-2.766,1.441-5.725,1.441-8.804c0-15.246-12.357-27.605-27.603-27.605c-15.246,0-27.604,12.359-27.604,27.605
        c0,15.245,12.359,27.604,27.604,27.604c4.493,0,8.733-1.082,12.483-2.987"/>
    <path fill="#FFFFFF" stroke="#000000" stroke-width="1" stroke-miterlimit="10" d="M89.229,63.063"/>
    <path fill="#FFFFFF" stroke="#000000" stroke-width="1" stroke-miterlimit="10" d="M68.568,86.945"/>

</template>

<!--notification item-->
<template id="notification_item">
    <div class="noti_item">
        <a class="image"><img/></a>
        <a class="username"></a>
        <span class="time"></span>
        <span class="message"></span>
    </div>
</template>

<!--notification item-->
<template id="user_sugg_item">
    <div class="user_sugg_item">
        <a class="image"><img/></a>
        <a class="name"></a>
        <div class="info">
	        <span class="following"></span>
	        دنبال کننده
        </div>
        <button class="follow"></button>
    </div>
</template>

<!-- empty message -->
<template id="empty_feed_message">
	<div class="empty_message">
		<img class="image" src="/static/images/follow_more.svg" />
	    <span class="text">کاربران بیشتری را دنبال کنید</span>
	    <a class="link" onclick="profileViewController.suggestions()">کاربران برتر</a>
	</div>
</template>
